package net.sf.logdistiller.ant;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Definition of a property that must be overridden in a logdistillation. The property must have been defined in
 * logdistiller definition, or an error will occur at runtime.
 *
 * <pre>
 * &lt;property name=&quot;&lt;i&gt;[property name]&lt;/i&gt;&quot; value=&quot;&lt;i&gt;[property value]&lt;/i&gt;&quot;/&gt;
 * </pre>
 */
public class AntProperty
{
    private String name;

    private String value;

    public AntProperty()
    {
    }

    public void setName( String name )
    {
        this.name = name;
    }

    public void setValue( String value )
    {
        this.value = value;
    }

    public String getName()
    {
        return name;
    }

    public String getValue()
    {
        return value;
    }
}
