package net.sf.logdistiller.gui;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import javax.swing.JProgressBar;

/**
 * A progress bar which value is <code>long</code> instead of <code>int</code>.
 */
public class LongProgressBar
    extends JProgressBar
{
    private static final long serialVersionUID = 873997737437917737L;

    private int factor;

    public void setLongMaximum( long max )
    {
        factor = (int) ( max / Integer.MAX_VALUE ) + 1;
        super.setMaximum( (int) ( max / factor ) );
    }

    public void setLongValue( long value )
    {
        super.setValue( (int) ( value / factor ) );
    }
}
