package net.sf.logdistiller.xml;

/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;

public class SAXErrorHandler
    implements ErrorHandler
{
    public void error( SAXParseException spe )
    {
        System.err.println( "Parsing error on line " + spe.getLineNumber() + " and column " + spe.getColumnNumber()
            + ": " + spe.getMessage() );
        Exception e = spe.getException();
        if ( e != null )
        {
            e.printStackTrace();
        }
    }

    public void fatalError( SAXParseException spe )
    {
        error( spe );
    }

    public void warning( SAXParseException spe )
    {
        System.err.println( "Parsing warning on line " + spe.getLineNumber() + " and column " + spe.getColumnNumber()
            + ": " + spe.getMessage() );
        Exception e = spe.getException();
        if ( e != null )
        {
            e.printStackTrace();
        }
    }
}
